ModelQuality
Post model monitorv2apimodel model quality scheduler query
POST
/
model-monitor
/
v2
/
api
/
model
/
{model_id}
/
model-quality-scheduler-query
cURL
curl --request POST \
--url https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": true,
"threshold": {
"operator": "<string>",
"lowerThreshold": 123,
"upperThreshold": 123
}
}
],
"startTimestamp": 123,
"endTimestamp": 123
}
'import requests
url = "https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query"
payload = {
"modelType": "<string>",
"metricCheckConfigs": [
{
"alertsEnabled": True,
"threshold": {
"operator": "<string>",
"lowerThreshold": 123,
"upperThreshold": 123
}
}
],
"startTimestamp": 123,
"endTimestamp": 123
}
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
modelType: '<string>',
metricCheckConfigs: [
{
alertsEnabled: true,
threshold: {operator: '<string>', lowerThreshold: 123, upperThreshold: 123}
}
],
startTimestamp: 123,
endTimestamp: 123
})
};
fetch('https://mycluster.domino.tech/model-monitor/v2/api/model/{model_id}/model-quality-scheduler-query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
trueAuthorizations
dmm-plier_DominoApiKeyAuthdmm-plier_DmmApiKeyAuthdmm-plier_cookieAuthdmm-plier_BearerAuth
Path Parameters
Identifier for the model.
Body
application/json
Response
The model quality scheduler query was saved successfully.
The response is of type boolean.
Last modified on August 27, 2026
Related topics
Get model monitorv2apimodel model quality scheduler queryPost model monitorv2apimodel save scheduler queryPost model monitorv2apimodel analyze model qualityGet model monitorv2apimodel drift scheduler queryWas this page helpful?
⌘I
cURL
true